Bug 1126181 - engine-config| cannot set mac range with only one mac
Summary: engine-config| cannot set mac range with only one mac
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-engine-config
Version: 3.5
Hardware: x86_64
OS: Linux
high
high
Target Milestone: ---
: 3.5.0
Assignee: Lior Vernia
QA Contact: Meni Yakove
URL:
Whiteboard: network
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-03 09:00 UTC by Meni Yakove
Modified: 2016-02-10 19:36 UTC (History)
8 users (show)

Fixed In Version: ovirt-3.5.0_rc1.1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-17 12:21:14 UTC
oVirt Team: Network


Attachments (Terms of Use)
engine.log (772.91 KB, application/zip)
2014-08-03 09:00 UTC, Meni Yakove
no flags Details


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 30965 master MERGED core: Enable single-entry MAC range in engine-config Never
oVirt gerrit 31058 ovirt-engine-3.5 MERGED core: Enable single-entry MAC range in engine-config Never
oVirt gerrit 31246 master ABANDONED core: Enable single-entry MAC range in engine-config Never

Description Meni Yakove 2014-08-03 09:00:34 UTC
Created attachment 923561 [details]
engine.log

Description of problem:
Fail to set mac range with only one mac in the range.
engine-config -s MacPoolRanges=00:1A:4A:16:88:FD-00:1A:4A:16:88:FD
Cannot set value 00:1A:4A:16:88:FD-00:1A:4A:16:88:FD to key MacPoolRanges. The entered range is invalid. 00:1A:4A:16:88:FD-00:1A:4A:16:88:FD contains no valid MAC addresses.

Version-Release number of selected component (if applicable):
ovirt-engine-3.5.0-0.0.master.20140722232058.git8e1babc.el6.noarch

How reproducible:


Steps to Reproduce:
1. engine-config -s MacPoolRanges=00:1A:4A:16:88:FD-00:1A:4A:16:88:FD

Comment 1 Michael Burman 2014-08-24 07:37:43 UTC
Verified on -  oVirt Engine Version: 3.5.0-0.0.master.20140821064931.gitb794d66.el6

Comment 2 Sandro Bonazzola 2014-10-17 12:21:14 UTC
oVirt 3.5 has been released and should include the fix for this issue.


Note You need to log in before you can comment on or make changes to this bug.